Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/HeuristicLab.Clients.Hive.JobManager-3.3.csproj
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/HeuristicLab.Clients.Hive.JobManager-3.3.csproj	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/HeuristicLab.Clients.Hive.JobManager-3.3.csproj	(revision 16117)
@@ -105,4 +105,5 @@
     <Compile Include="ExtensionMethods\TreeNodeExtensions.cs" />
     <Compile Include="ListViewItemDateComparer.cs" />
+    <Compile Include="ListViewItemComparer.cs" />
     <Compile Include="MenuItems\CreateHiveJobMenuItem.cs" />
     <Compile Include="MenuItems\RunInHiveMenuItem.cs" />
@@ -159,4 +160,14 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Clients.Access\3.3\HeuristicLab.Clients.Access-3.3.csproj">
+      <Project>{494f87f4-0f25-4d33-a382-10cdb2174d48}</Project>
+      <Name>HeuristicLab.Clients.Access-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Clients.Common\3.3\HeuristicLab.Clients.Common-3.3.csproj">
+      <Project>{730a9104-d4d1-4360-966b-e49b7571dda3}</Project>
+      <Name>HeuristicLab.Clients.Common-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Clients.Hive.Views\3.3\HeuristicLab.Clients.Hive.Views-3.3.csproj">
       <Project>{E1D6C801-892A-406A-B606-F158E36DD3C3}</Project>
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/ListViewItemComparer.cs
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/ListViewItemComparer.cs	(revision 16117)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/ListViewItemComparer.cs	(revision 16117)
@@ -0,0 +1,79 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Clients.Hive.JobManager {
+  public class ListViewItemComparer : IComparer {
+    private int[] cols;
+    public SortOrder[] Orders { get; set; }
+    private const string dateFormat = "dd.MM.yyyy HH:mm";
+
+    public ListViewItemComparer() {
+      cols = new []{ 0 };
+      Orders = new[] { SortOrder.Ascending };
+    }
+
+    public ListViewItemComparer(int[] columns, SortOrder[] orders) {
+      cols = columns;
+      Orders = orders;
+    }
+
+    public int Compare(object x, object y) {
+      int returnVal;
+      bool result;
+      ListViewItem listViewItemX, listViewItemY;
+      listViewItemX = x as ListViewItem;
+      listViewItemY = y as ListViewItem;
+
+      if (listViewItemX == null || listViewItemY == null) {
+        throw new ArgumentException(string.Format("The ListViewItemComparer expects ListViewItems but received {0} and {1}.",
+          x.GetType().ToString(), y.GetType().ToString()));
+      }
+
+      int cmpres = 0;
+      for (int i = 0; i < cols.Length && cmpres == 0; i++) {
+        string textX = listViewItemX.SubItems[cols[i]].Text;
+        string textY = listViewItemY.SubItems[cols[i]].Text;
+
+        DateTime dateX, dateY;
+        int intX, intY;
+        double doubleX, doubleY;
+
+        if(DateTime.TryParse(textX, out dateX) && DateTime.TryParse(textY, out dateY)) {
+          cmpres = DateTime.Compare(dateX, dateY);
+        } else if(Int32.TryParse(textX, out intX) && Int32.TryParse(textY, out intY)) {
+          cmpres = (intX == intY) ? 0 : (intX > intY) ? 1 : -1;
+        } else if(Double.TryParse(textX, out doubleX) && Double.TryParse(textY, out doubleY)) {
+          cmpres = (doubleX == doubleY) ? 0 : (doubleX > doubleY) ? 1 : -1;
+        } else {
+          cmpres = String.Compare(textX, textY);
+        }
+        if(Orders[i] == SortOrder.Descending) {
+          cmpres *= -1;
+        }
+      }
+      return cmpres;
+    }
+  }
+}
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/MenuItems/JobManagerMenuItem.cs
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/MenuItems/JobManagerMenuItem.cs	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/MenuItems/JobManagerMenuItem.cs	(revision 16117)
@@ -20,23 +20,41 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
 using System.Windows.Forms;
+using HeuristicLab.Clients.Access;
 using HeuristicLab.MainForm;
 using HeuristicLab.Optimizer;
 
 namespace HeuristicLab.Clients.Hive.JobManager {
-  public class JobManagerMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
+  public class JobManagerMenuItem : MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
     public override string Name {
       get { return "&Job Manager"; }
     }
+
     public override IEnumerable<string> Structure {
       get { return new string[] { "&Services", "&Hive" }; }
     }
+
     public override void Execute() {
-      MainFormManager.MainForm.ShowContent(HiveClient.Instance);
+      if (HiveRoles.CheckHiveUserPermissions()) {
+        MainFormManager.MainForm.ShowContent(HiveClient.Instance);
+      } else if (!UserInformation.Instance.UserExists) {
+        MessageBox.Show(
+          "Couldn't fetch user information from the server." + Environment.NewLine +
+          "Please verify that you have an existing user and that your user name and password is correct.",
+          "HeuristicLab Hive Job Manager", MessageBoxButtons.OK, MessageBoxIcon.Error);
+      } else {
+        MessageBox.Show(
+          "You do not seem to have the permissions to use the Hive Job Manager." + Environment.NewLine +
+          "If that's not the case or you have any questions please write an email to support@heuristiclab.com",
+          "HeuristicLab Hive Job Manager", MessageBoxButtons.OK, MessageBoxIcon.Error);
+      }
     }
+
     public override int Position {
       get { return 10000; }
     }
+
     public override Keys ShortCutKeys {
       get { return Keys.Control | Keys.H; }
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/MenuItems/RunInHiveMenuItem.cs
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/MenuItems/RunInHiveMenuItem.cs	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/MenuItems/RunInHiveMenuItem.cs	(revision 16117)
@@ -22,5 +22,8 @@
 using System;
 using System.Collections.Generic;
+using System.Linq;
 using System.Threading;
+using System.Windows.Forms;
+using HeuristicLab.Clients.Hive.JobManager.Views;
 using HeuristicLab.Core;
 using HeuristicLab.MainForm;
@@ -82,9 +85,25 @@
       task.ItemTask.ComputeInParallel = content is Experiment || content is BatchRun;
 
-      progress = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>().AddOperationProgressToContent(this.content, "Uploading to Hive...");
-      rJob.Progress = progress;
-      progress.ProgressStateChanged += progress_ProgressStateChanged;
+      var hiveResourceSelectorDialog = new HiveResourceSelectorDialog(rJob.Job.Id, rJob.Job.ProjectId);
 
-      HiveClient.StartJob(new Action<Exception>(HandleEx), rJob, new CancellationToken());
+      if (HiveClient.Instance.Projects.Count == 1) {
+        var project = HiveClient.Instance.Projects.FirstOrDefault();
+        if (project != null && project.Id != Guid.Empty)
+          hiveResourceSelectorDialog.SelectedProjectId = project.Id;
+      }
+
+      if (hiveResourceSelectorDialog.ShowDialog((UserControl)activeView) == DialogResult.OK) {
+        var selectedProject = hiveResourceSelectorDialog.SelectedProject;
+        if (selectedProject != null) {
+          rJob.Job.ProjectId = selectedProject.Id;
+          rJob.Job.ResourceIds = hiveResourceSelectorDialog.SelectedResources.Select(x => x.Id).ToList();
+
+          progress = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>().AddOperationProgressToContent(this.content, "Uploading to Hive...");
+          rJob.Progress = progress;
+          progress.ProgressStateChanged += progress_ProgressStateChanged;
+
+          HiveClient.StartJob(new Action<Exception>(HandleEx), rJob, new CancellationToken());
+        }
+      }
     }
 
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Plugin.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Plugin.cs.frame	(revision 16117)
@@ -25,4 +25,6 @@
   [Plugin("HeuristicLab.Clients.Hive.JobManager", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Clients.Hive.JobManager-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Clients.Access", "3.3")]
+  [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
   [PluginDependency("HeuristicLab.Clients.Hive", "3.3")]
   [PluginDependency("HeuristicLab.Clients.Hive.Views", "3.3")]
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveJobManagerView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveJobManagerView.Designer.cs	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveJobManagerView.Designer.cs	(revision 16117)
@@ -45,6 +45,8 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       this.hiveExperimentListView = new RefreshableHiveJobListView();
       this.refreshButton = new System.Windows.Forms.Button();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.SuspendLayout();
       // 
@@ -69,4 +71,5 @@
       this.refreshButton.Size = new System.Drawing.Size(24, 24);
       this.refreshButton.TabIndex = 1;
+      this.toolTip.SetToolTip(this.refreshButton, "Refresh data");
       this.refreshButton.UseVisualStyleBackColor = true;
       this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
@@ -87,5 +90,5 @@
     private RefreshableHiveJobListView hiveExperimentListView;
     private System.Windows.Forms.Button refreshButton;
-
+    private System.Windows.Forms.ToolTip toolTip;
 
   }
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveResourceSelector.Designer.cs
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveResourceSelector.Designer.cs	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveResourceSelector.Designer.cs	(revision 16117)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Clients.Hive.JobManager.Views {
-  partial class HiveResourceSelector {
+  partial class HiveProjectSelector {
     /// <summary> 
     /// Required designer variable.
@@ -46,79 +46,57 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveResourceSelector));
-      this.resourcesGroupBox = new System.Windows.Forms.GroupBox();
-      this.splitContainer = new System.Windows.Forms.SplitContainer();
-      this.resourcesTreeView = new System.Windows.Forms.TreeView();
-      this.imageList = new System.Windows.Forms.ImageList(this.components);
+      this.projectsGroupBox = new System.Windows.Forms.GroupBox();
+      this.projectsImageList = new System.Windows.Forms.ImageList(this.components);
+      this.resourcesImageList = new System.Windows.Forms.ImageList(this.components);
       this.searchLabel = new System.Windows.Forms.Label();
       this.searchTextBox = new System.Windows.Forms.TextBox();
-      this.descriptionTextBox = new System.Windows.Forms.TextBox();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.resourcesGroupBox.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
-      this.splitContainer.Panel1.SuspendLayout();
-      this.splitContainer.Panel2.SuspendLayout();
-      this.splitContainer.SuspendLayout();
+      this.splitContainer2 = new System.Windows.Forms.SplitContainer();
+      this.projectsTreeView = new System.Windows.Forms.TreeView();
+      this.resourcesTreeView = new HeuristicLab.Clients.Hive.Views.TreeView.NoDoubleClickTreeView();
+      this.summaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.coresLabel = new System.Windows.Forms.Label();
+      this.coresSummaryLabel = new System.Windows.Forms.Label();
+      this.memoryLabel = new System.Windows.Forms.Label();
+      this.memorySummaryLabel = new System.Windows.Forms.Label();
+      this.projectsGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).BeginInit();
+      this.splitContainer2.Panel1.SuspendLayout();
+      this.splitContainer2.Panel2.SuspendLayout();
+      this.splitContainer2.SuspendLayout();
+      this.summaryGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
-      // resourcesGroupBox
-      // 
-      this.resourcesGroupBox.Controls.Add(this.splitContainer);
-      this.resourcesGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.resourcesGroupBox.Location = new System.Drawing.Point(0, 0);
-      this.resourcesGroupBox.Name = "resourcesGroupBox";
-      this.resourcesGroupBox.Size = new System.Drawing.Size(308, 365);
-      this.resourcesGroupBox.TabIndex = 0;
-      this.resourcesGroupBox.TabStop = false;
-      this.resourcesGroupBox.Text = "Available Resources";
-      // 
-      // splitContainer
-      // 
-      this.splitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.splitContainer.Location = new System.Drawing.Point(3, 16);
-      this.splitContainer.Name = "splitContainer";
-      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
-      // 
-      // splitContainer.Panel1
-      // 
-      this.splitContainer.Panel1.Controls.Add(this.resourcesTreeView);
-      this.splitContainer.Panel1.Controls.Add(this.searchLabel);
-      this.splitContainer.Panel1.Controls.Add(this.searchTextBox);
-      // 
-      // splitContainer.Panel2
-      // 
-      this.splitContainer.Panel2.Controls.Add(this.descriptionTextBox);
-      this.splitContainer.Size = new System.Drawing.Size(302, 346);
-      this.splitContainer.SplitterDistance = 219;
-      this.splitContainer.TabIndex = 0;
-      // 
-      // resourcesTreeView
-      // 
-      this.resourcesTreeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.resourcesTreeView.CheckBoxes = true;
-      this.resourcesTreeView.HideSelection = false;
-      this.resourcesTreeView.ImageIndex = 0;
-      this.resourcesTreeView.ImageList = this.imageList;
-      this.resourcesTreeView.Location = new System.Drawing.Point(3, 29);
-      this.resourcesTreeView.Name = "resourcesTreeView";
-      this.resourcesTreeView.SelectedImageIndex = 0;
-      this.resourcesTreeView.ShowNodeToolTips = true;
-      this.resourcesTreeView.Size = new System.Drawing.Size(296, 196);
-      this.resourcesTreeView.TabIndex = 2;
-      this.resourcesTreeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.resourcesTreeView_AfterCheck);
-      this.resourcesTreeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.resourcesTreeView_AfterSelect);
-      // 
-      // imageList
-      // 
-      this.imageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
-      this.imageList.ImageSize = new System.Drawing.Size(16, 16);
-      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
+      // projectsGroupBox
+      // 
+      this.projectsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.projectsGroupBox.Controls.Add(this.searchLabel);
+      this.projectsGroupBox.Controls.Add(this.splitContainer2);
+      this.projectsGroupBox.Controls.Add(this.searchTextBox);
+      this.projectsGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.projectsGroupBox.Name = "projectsGroupBox";
+      this.projectsGroupBox.Size = new System.Drawing.Size(426, 461);
+      this.projectsGroupBox.TabIndex = 0;
+      this.projectsGroupBox.TabStop = false;
+      this.projectsGroupBox.Text = "Available Projects";
+      // 
+      // projectsImageList
+      // 
+      this.projectsImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
+      this.projectsImageList.ImageSize = new System.Drawing.Size(16, 16);
+      this.projectsImageList.TransparentColor = System.Drawing.Color.Transparent;
+      // 
+      // resourcesImageList
+      // 
+      this.resourcesImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
+      this.resourcesImageList.ImageSize = new System.Drawing.Size(16, 16);
+      this.resourcesImageList.TransparentColor = System.Drawing.Color.Transparent;
       // 
       // searchLabel
       // 
       this.searchLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Zoom;
-      this.searchLabel.Location = new System.Drawing.Point(3, 3);
+      this.searchLabel.Location = new System.Drawing.Point(6, 19);
       this.searchLabel.Name = "searchLabel";
       this.searchLabel.Size = new System.Drawing.Size(20, 20);
@@ -128,42 +106,132 @@
       // searchTextBox
       // 
-      this.searchTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.searchTextBox.Location = new System.Drawing.Point(29, 3);
+      this.searchTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.searchTextBox.Location = new System.Drawing.Point(32, 19);
       this.searchTextBox.Name = "searchTextBox";
-      this.searchTextBox.Size = new System.Drawing.Size(270, 20);
+      this.searchTextBox.Size = new System.Drawing.Size(388, 20);
       this.searchTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.searchTextBox, "Enter string to search for resources");
       this.searchTextBox.TextChanged += new System.EventHandler(this.searchTextBox_TextChanged);
       // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.descriptionTextBox.Font = new System.Drawing.Font("Courier New", 8.25F);
-      this.descriptionTextBox.Location = new System.Drawing.Point(3, 3);
-      this.descriptionTextBox.Multiline = true;
-      this.descriptionTextBox.Name = "descriptionTextBox";
-      this.descriptionTextBox.ReadOnly = true;
-      this.descriptionTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Both;
-      this.descriptionTextBox.Size = new System.Drawing.Size(296, 108);
-      this.descriptionTextBox.TabIndex = 0;
-      this.descriptionTextBox.WordWrap = false;
-      // 
-      // HiveResourceSelector
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      // splitContainer2
+      // 
+      this.splitContainer2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer2.Location = new System.Drawing.Point(6, 45);
+      this.splitContainer2.Name = "splitContainer2";
+      // 
+      // splitContainer2.Panel1
+      // 
+      this.splitContainer2.Panel1.Controls.Add(this.projectsTreeView);
+      // 
+      // splitContainer2.Panel2
+      // 
+      this.splitContainer2.Panel2.Controls.Add(this.resourcesTreeView);
+      this.splitContainer2.Size = new System.Drawing.Size(414, 410);
+      this.splitContainer2.SplitterDistance = 204;
+      this.splitContainer2.TabIndex = 4;
+      // 
+      // projectsTreeView
+      // 
+      this.projectsTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.projectsTreeView.HideSelection = false;
+      this.projectsTreeView.ImageIndex = 0;
+      this.projectsTreeView.ImageList = this.projectsImageList;
+      this.projectsTreeView.Location = new System.Drawing.Point(0, 0);
+      this.projectsTreeView.Name = "projectsTreeView";
+      this.projectsTreeView.SelectedImageIndex = 0;
+      this.projectsTreeView.ShowNodeToolTips = true;
+      this.projectsTreeView.Size = new System.Drawing.Size(204, 410);
+      this.projectsTreeView.TabIndex = 3;
+      this.projectsTreeView.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(this.projectsTreeView_MouseDoubleClick);
+      this.projectsTreeView.BeforeSelect += new System.Windows.Forms.TreeViewCancelEventHandler(this.projectsTreeView_BeforeSelect);
+      this.projectsTreeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.projectsTreeView_AfterSelect);
+      // 
+      // resourcesTreeView
+      // 
+      this.resourcesTreeView.CheckBoxes = true;
+      this.resourcesTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.resourcesTreeView.ImageIndex = 0;
+      this.resourcesTreeView.ImageList = this.resourcesImageList;
+      this.resourcesTreeView.Location = new System.Drawing.Point(0, 0);
+      this.resourcesTreeView.Name = "resourcesTreeView";
+      this.resourcesTreeView.SelectedImageIndex = 0;
+      this.resourcesTreeView.Size = new System.Drawing.Size(206, 410);
+      this.resourcesTreeView.TabIndex = 0;
+      this.resourcesTreeView.NodeMouseDoubleClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.resourcesTreeView_NodeMouseDoubleClick);
+      this.resourcesTreeView.BeforeCheck += new System.Windows.Forms.TreeViewCancelEventHandler(this.resourcesTreeView_BeforeCheck);
+      this.resourcesTreeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.resourcesTreeView_AfterCheck);
+      this.resourcesTreeView.MouseDown += new System.Windows.Forms.MouseEventHandler(this.resourcesTreeView_MouseDown);
+      this.resourcesTreeView.BeforeSelect += new System.Windows.Forms.TreeViewCancelEventHandler(this.resourcesTreeView_BeforeSelect);
+      // 
+      // summaryGroupBox
+      // 
+      this.summaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.summaryGroupBox.Controls.Add(this.memorySummaryLabel);
+      this.summaryGroupBox.Controls.Add(this.memoryLabel);
+      this.summaryGroupBox.Controls.Add(this.coresSummaryLabel);
+      this.summaryGroupBox.Controls.Add(this.coresLabel);
+      this.summaryGroupBox.Location = new System.Drawing.Point(3, 470);
+      this.summaryGroupBox.Name = "summaryGroupBox";
+      this.summaryGroupBox.Size = new System.Drawing.Size(426, 71);
+      this.summaryGroupBox.TabIndex = 1;
+      this.summaryGroupBox.TabStop = false;
+      this.summaryGroupBox.Text = "Computing Resources";
+      // 
+      // coresLabel
+      // 
+      this.coresLabel.AutoSize = true;
+      this.coresLabel.Location = new System.Drawing.Point(6, 22);
+      this.coresLabel.Name = "coresLabel";
+      this.coresLabel.Size = new System.Drawing.Size(37, 13);
+      this.coresLabel.TabIndex = 1;
+      this.coresLabel.Text = "Cores:";
+      // 
+      // coresSummaryLabel
+      // 
+      this.coresSummaryLabel.AutoSize = true;
+      this.coresSummaryLabel.Location = new System.Drawing.Point(59, 22);
+      this.coresSummaryLabel.Name = "coresSummaryLabel";
+      this.coresSummaryLabel.Size = new System.Drawing.Size(124, 13);
+      this.coresSummaryLabel.TabIndex = 5;
+      this.coresSummaryLabel.Text = "0 Total (0 Free / 0 Used)";
+      // 
+      // memoryLabel
+      // 
+      this.memoryLabel.AutoSize = true;
+      this.memoryLabel.Location = new System.Drawing.Point(6, 48);
+      this.memoryLabel.Name = "memoryLabel";
+      this.memoryLabel.Size = new System.Drawing.Size(47, 13);
+      this.memoryLabel.TabIndex = 7;
+      this.memoryLabel.Text = "Memory:";
+      // 
+      // memorySummaryLabel
+      // 
+      this.memorySummaryLabel.AutoSize = true;
+      this.memorySummaryLabel.Location = new System.Drawing.Point(59, 48);
+      this.memorySummaryLabel.Name = "memorySummaryLabel";
+      this.memorySummaryLabel.Size = new System.Drawing.Size(223, 13);
+      this.memorySummaryLabel.TabIndex = 8;
+      this.memorySummaryLabel.Text = "0.00 GB Total (0.00 GB Free / 0.00 GB Used)";
+      // 
+      // HiveProjectSelector
+      // 
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.resourcesGroupBox);
-      this.Name = "HiveResourceSelector";
-      this.Size = new System.Drawing.Size(308, 365);
-      this.resourcesGroupBox.ResumeLayout(false);
-      this.splitContainer.Panel1.ResumeLayout(false);
-      this.splitContainer.Panel1.PerformLayout();
-      this.splitContainer.Panel2.ResumeLayout(false);
-      this.splitContainer.Panel2.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
-      this.splitContainer.ResumeLayout(false);
+      this.Controls.Add(this.summaryGroupBox);
+      this.Controls.Add(this.projectsGroupBox);
+      this.Name = "HiveProjectSelector";
+      this.Size = new System.Drawing.Size(432, 544);
+      this.Load += new System.EventHandler(this.HiveProjectSelector_Load);
+      this.projectsGroupBox.ResumeLayout(false);
+      this.projectsGroupBox.PerformLayout();
+      this.splitContainer2.Panel1.ResumeLayout(false);
+      this.splitContainer2.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).EndInit();
+      this.splitContainer2.ResumeLayout(false);
+      this.summaryGroupBox.ResumeLayout(false);
+      this.summaryGroupBox.PerformLayout();
       this.ResumeLayout(false);
 
@@ -172,13 +240,18 @@
     #endregion
 
-    protected System.Windows.Forms.GroupBox resourcesGroupBox;
-    protected System.Windows.Forms.SplitContainer splitContainer;
+    protected System.Windows.Forms.GroupBox projectsGroupBox;
     protected System.Windows.Forms.Label searchLabel;
     protected System.Windows.Forms.TextBox searchTextBox;
-    protected System.Windows.Forms.TreeView resourcesTreeView;
-    protected System.Windows.Forms.TextBox descriptionTextBox;
-    protected System.Windows.Forms.ImageList imageList;
+    protected System.Windows.Forms.ImageList projectsImageList;
     protected System.Windows.Forms.ToolTip toolTip;
-
+    private System.Windows.Forms.ImageList resourcesImageList;
+    private System.Windows.Forms.SplitContainer splitContainer2;
+    protected System.Windows.Forms.TreeView projectsTreeView;
+    protected HeuristicLab.Clients.Hive.Views.TreeView.NoDoubleClickTreeView resourcesTreeView;
+    private System.Windows.Forms.GroupBox summaryGroupBox;
+    protected System.Windows.Forms.Label coresLabel;
+    protected System.Windows.Forms.Label memorySummaryLabel;
+    protected System.Windows.Forms.Label memoryLabel;
+    protected System.Windows.Forms.Label coresSummaryLabel;
   }
 }
Index: trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveResourceSelector.cs
===================================================================
--- trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveResourceSelector.cs	(revision 15682)
+++ trunk/HeuristicLab.Clients.Hive.JobManager/3.3/Views/HiveResourceSelector.cs	(revision 16117)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,7 +24,7 @@
 using System.Drawing;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.Clients.Hive.JobManager.ExtensionMethods;
+using HeuristicLab.Collections;
+using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
